/*********************************************************************\
*   QTREE.CMD  Thomas Christinck, Braunschweig, fr OS/2 Inside       *
\*********************************************************************/
parse arg dir
signal on halt
call RxFuncAdd "SysLoadFuncs","RexxUtil","SysLoadFuncs"
call SysLoadFuncs

call RxFuncAdd "LoadLsRxutFuncs", "LSRXUT", "LoadLsRxutFuncs"
call LoadLsRxutFuncs

/* Holen des Usernamen */
rc = NetGetInfo(350, "wksta", "")      /* 350 ist NetWkstaGetInfo */
if rc<>0 | wksta.username="" then do
   say "Username konnte nicht festgestellt werden !"
   exit 99
   end

/* Wenn kein Argument bergeben, dann aktuelles Verzeichnis */
if length(dir)=0 then
   dir=directory()

/* Erster Aufruf von "ZeigeDir" */
call ZeigeDir dir","wksta.username",,2"
exit

halt:
say "^C abgebrochen"
exit

/**** Prozedur ZeigeDir **********************************************/

ZeigeDir : procedure
parse arg dir","user","prefix","letzter

/* Holen der Zugriffsrechte des Users fr das Verzeichnis "dir" */
rc = NetGetInfo(12, "rechte", "", dir, user)
                                     /* 12 ist NetAcessGetUserPerms */
/* Anzeigen einer Zeile mit Verzeichnisname und Zugriffsrechte */
if letzter=0 then do
   dazu = " "
   say left(rechte.perms,8)prefix""filespec("name","\"dir)
   end
else if letzter=1 then do
   ecke=""
   dazu = "  "
   say left(rechte.perms,8)prefix""filespec("name","\"dir)
   end
else if letzter=2 then do
   dazu=""
   say left(rechte.perms,8)prefix||dir
   end

/* rekursiver Aufruf von "ZeigeDir" fr alle Unterverzeichnisse */
rc = SysFileTree(dir"\*", "dirs", "DO")
do i=1 to dirs.0
   letzter=(i=dirs.0)
   call ZeigeDir dirs.i","user","prefix||dazu","letzter
   end
return
