/*********************************************************************\
*   QTREE2.CMD  Thomas Christinck, Braunschweig, fr OS/2 Inside      *
\*********************************************************************/
parse arg dir
Signal on halt
call RxFuncAdd "SysLoadFuncs","RexxUtil","SysLoadFuncs"
call SysLoadFuncs

call RxFuncAdd "LoadLsRxutFuncs", "LSRXUT", "LoadLsRxutFuncs"
call LoadLsRxutFuncs

/* Holen des Usernamen */
rc = NetGetInfo(350, "wksta", "")      /* 350 ist NetWkstaGetInfo */
if rc<>0 | wksta.username="" then do
   say "Username konnte nicht festgestellt werden !"
   exit 99
   end

/* Wenn kein Argument bergeben, dann aktuelles Verzeichnis */
if length(dir)=0 then
   dir=directory()

/* Erster Aufruf von "ZeigeDir" */
call ZeigeDir dir","wksta.username",,2"
exit

halt:
say "^C abgebrochen"
exit

/**** Prozedur ZeigeDir **********************************************/

ZeigeDir : procedure
parse arg dir","user","prefix","letzter

/* Holen des Profiles fr das Verzeichnis "dir" */
rc = NetGetInfo(10, "rechte", "", dir)
                                     /* 10 ist NETACCESS */
/* Zusammensetzen des Profil-Strings */
if rc=0 then do
   profil="     audit("rechte.audit")"
   do i=1 to rechte.count
      profil=profil rechte.i.ugname"("rechte.i.access")"
      end
   end
else if word(rc,1)="2222" then profil=""
else profil="     Fehler :" rc

if letzter=0 then do
   dazu = " "
   say prefix""filespec("name","\"dir) profil
   end
else if letzter=1 then do
   ecke=""
   dazu = "  "
   say prefix""filespec("name","\"dir) profil
   end
else if letzter=2 then do
   dazu=""
   say prefix||dir profil
   end

/* rekursiver Aufruf von "ZeigeDir" fr alle Unterverzeichnisse */
rc = SysFileTree(dir"\*", "dirs", "DO")
do i=1 to dirs.0
   letzter=(i=dirs.0)
   call ZeigeDir dirs.i","user","prefix||dazu","letzter
   end
return
