/*********************************************************************\
*   QUEUES.CMD  Thomas Christinck, Braunschweig, fr OS/2 Inside      *
\*********************************************************************/
call RxFuncAdd "LoadLsRxutFuncs", "LSRXUT", "LoadLsRxutFuncs"
call LoadLsRxutFuncs

/* Liste aller Server holen */
rc = NetEnumerate(160, "server", "", 2)       /* 160 = NETSERVER */

do s=1 to server.0                            /* Schleife fr alle Server */
   say;say;say "Server" server.s

   /* Alle Warteschlangen des Servers holen */
   rc=RxSplEnumQueue("\\"server.s, "queues")

   if rc<>0 then do
      say "Fehler :" rc
      iterate s
      end

   if queues.count =0 then
      say "Keine Warteschlangen auf " server.s

   do i=1 to queues.count
      say
      say "Queue :" queues.i.Name "--" queues.i.Comment "--" queues.i.DriverName
      say "         Jobs : " queues.i.jobs "  Status :",
           word("OK Pause Delete_pending", queues.i.status+1)

      /* Liste aller Jobs der Warteschlange holen */
      rc=RxSplEnumJob("info", "\\"server.s, queues.i.name)

      if rc<>0 then do
         say "Fehler :" rc
         iterate i
         end

      if info.count>0 then do
         say "Job-ID  Pos Status        Size Userid     Dokument   Kommentar"
         say "=============================================================="
         do i=1 to info.count
            say right(info.i.JobId,5),       /* Identifier    */
                right(info.i.Position,5),    /* Position      */
                left(info.i.Status,10),      /* Status        */
                right(info.i.Size,7),        /* Gre         */
                left(info.i.UserName,10),    /* Benutzername  */
                left(info.i.Document,10),    /* Dokument-Name */
                info.i.comment               /* Kommentar     */
            end
         end
      end
   end

